<div class="main-container">

  <div class="search-box-container">
    <div class="field">
      <p class="control has-icons-left">
        <input #filterInput class="input" type="text" (keyup)="filter($any($event).target.value)" placeholder="Filter">
        <span class="icon is-small is-left">
          <i class="fas fa-lock"></i>
        </span>
      </p>
    </div>
  </div>

  <div class="notes-list" [@listAnim]>
    <app-note-card
      [@itemAnim]
      *ngFor="let note of filterNotes;"
      [link]="generateNoteUrl(note)"
      [title]="note.title"
      (delete)="deleteNote(note)"
      [body]="note.body"/>
  </div>

  <button class="button floating-add-button is-primary" routerLink="new">
    + Add
  </button>
</div>
